Add IP to Access Control List
POST/partner/settings/ip_control/:user_domain_idx
Add IPv4 or IPv6 addresses to the allow or block list for the specified domain.
Request
Responses
- 200
- 400
- 401
- 404
- 500
200Success
Response 200
{
"message": {
"key": "RES000000",
"value": "success"
},
"data": {
"setting_mode": {
"type": "block",
"mode": "ON"
},
"blocked": {
"ipv4": [
"198.51.100.0/32"
],
"ipv6": []
},
"failed": {
"ipv4": [],
"ipv6": []
}
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object | |
data | object |
400Bad Request
Response 400
{
"message": {
"key": "RES000002",
"value": "Bad Request"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
401Unauthorized
Response 401
{
"message": {
"key": "RES000033",
"value": "Unauthorized"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
404Data not found
Response 404
{
"message": {
"key": "RES000018",
"value": "Data not found"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
500Internal server error
Response 500
{
"message": {
"key": "RES000029",
"value": "An internal server error has occurred."
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |